Autocad récup point SCU

Signaler
Messages postés
2
Date d'inscription
mercredi 30 août 2006
Statut
Membre
Dernière intervention
30 août 2006
-
Messages postés
2
Date d'inscription
mercredi 30 août 2006
Statut
Membre
Dernière intervention
30 août 2006
-
Salut,

Je me sert des boites de dialogues VB afin de passer des arguments à un lisp....
avant d'essayer de "bidouiller" quelque chose en lisp, peut-être quelqu'un connaitrait t'il la solution afin de récupérer un point dans le SCU actif EN vb ....

pour l'instant je fait
pt = ThisDrawing.Utility.GetPoint(, vbCr & "Point d'insert : ")

... mais le point est en SCG ....

(on m'a appris dans le forum LISP de CADxp à transformer un point dans un certains système à dans un autre grâce à (trans.... mais je voulais savoir si il y aurait une manip équivalent en VB.... ça me permettrais d'éviter de trop toucher à mes routines lisp....)

... merci

1 réponse

Messages postés
2
Date d'inscription
mercredi 30 août 2006
Statut
Membre
Dernière intervention
30 août 2006

... bon ben il faut que j'aprenne à utiliser un peu mieux l'aide moi...
j'ai trouvé mais c'était marqué comme "le port Salut" ....

donc, la réponse, pour info, est :

Dim ptSCG As Variant, ptSCU As Variant
ptSCG = ThisDrawing.Utility.GetPoint(, vbCr & "Point d'Insertion : ")
ptSCU = ThisDrawing.Utility.TranslateCoordinates _
(ptSCG, acWorld, acUCS, False)



... merci